   /*This file is part of KnowMore.org Firefox Extension.

    KnowMore.org Firefox Extension is free software: you can redistribute
    it and/or modify it under the terms of the GNU General Public License 
    as published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version.

    KnowMore.org Firefox Extension is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KnowMore.org Firefox Extension.  If not, see <http://www.gnu.org/licenses/>.*/
//namespace
this.KnowMore = this.KnowMore || {}

KnowMore.Homepage = {};

/**
* inserts random KnowMore link/text/image on a page
*/
KnowMore.Homepage.initDoc = function(doc){

    KnowMore.log("initializing document for homepage integration: "+ doc.URL);
    
    // Iterate over engines
    for (var id in KnowMore.Engines){

        var engine = KnowMore.Engines[id];

        if (!engine.supportsHomepage)
            continue;

        //if this is a known homepage
        if (engine.isValidHomepage(doc)){
            
            // Get <center>
            var nodes = doc.getElementsByTagName("P");
            
            if (nodes.length) {
              var profile = KnowMore.DbService.getRandomProfile();
              if (profile) {
                var p = doc.createElement("P");
                p.innerHTML = "<a style='{font-size: 80%;}' href='http://" +
                  profile.km_url +
                  "'>Want to Know More about " +
                  profile.cmp_name + "?</a>";

                nodes[0].appendChild(p);
              }
            }
        }        
    }
}
